# Labels ## Retrieve all labels `client.APIGateway.Labels.List(ctx, params) (*V4PagePaginationArray[LabelListResponse], error)` **get** `/zones/{zone_id}/api_gateway/labels` Retrieve all labels ### Parameters - `params LabelListParams` - `ZoneID param.Field[string]` Path param: Identifier. - `Direction param.Field[LabelListParamsDirection]` Query param: Direction to order results. - `const LabelListParamsDirectionAsc LabelListParamsDirection = "asc"` - `const LabelListParamsDirectionDesc LabelListParamsDirection = "desc"` - `Filter param.Field[string]` Query param: Filter for labels where the name or description matches using substring match - `Order param.Field[LabelListParamsOrder]` Query param: Field to order by - `const LabelListParamsOrderName LabelListParamsOrder = "name"` - `const LabelListParamsOrderDescription LabelListParamsOrder = "description"` - `const LabelListParamsOrderCreatedAt LabelListParamsOrder = "created_at"` - `const LabelListParamsOrderLastUpdated LabelListParamsOrder = "last_updated"` - `const LabelListParamsOrderMappedResourcesOperations LabelListParamsOrder = "mapped_resources.operations"` - `Page param.Field[int64]` Query param: Page number of paginated results. - `PerPage param.Field[int64]` Query param: Maximum number of results per page. - `Source param.Field[LabelListParamsSource]` Query param: Filter for labels with source - `const LabelListParamsSourceUser LabelListParamsSource = "user"` - `const LabelListParamsSourceManaged LabelListParamsSource = "managed"` - `WithMappedResourceCounts param.Field[bool]` Query param: Include `mapped_resources` for each label ### Returns - `type LabelListResponse struct{…}` - `CreatedAt Time` - `Description string` The description of the label - `LastUpdated Time` - `Metadata unknown` Metadata for the label - `Name string` The name of the label - `Source LabelListResponseSource` * `user` - label is owned by the user * `managed` - label is owned by cloudflare - `const LabelListResponseSourceUser LabelListResponseSource = "user"` - `const LabelListResponseSourceManaged LabelListResponseSource = "managed"` - `MappedResources unknown` Provides counts of what resources are linked to this label ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.APIGateway.Labels.List(context.TODO(), api_gateway.LabelListParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "created_at": "2014-01-01T05:20:00.12345Z", "description": "All endpoints that deal with logins", "last_updated": "2014-01-01T05:20:00.12345Z", "metadata": { "foo": "bar" }, "name": "login", "source": "user", "mapped_resources": { "operations": 29 } } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` # User ## Create user labels `client.APIGateway.Labels.User.BulkNew(ctx, params) (*SinglePage[LabelUserBulkNewResponse], error)` **post** `/zones/{zone_id}/api_gateway/labels/user` Create user labels ### Parameters - `params LabelUserBulkNewParams` - `ZoneID param.Field[string]` Path param: Identifier. - `Body param.Field[[]LabelUserBulkNewParamsBody]` Body param - `Name string` The name of the label - `Description string` The description of the label - `Metadata unknown` Metadata for the label ### Returns - `type LabelUserBulkNewResponse struct{…}` - `CreatedAt Time` - `Description string` The description of the label - `LastUpdated Time` - `Metadata unknown` Metadata for the label - `Name string` The name of the label - `Source LabelUserBulkNewResponseSource` * `user` - label is owned by the user * `managed` - label is owned by cloudflare - `const LabelUserBulkNewResponseSourceUser LabelUserBulkNewResponseSource = "user"` - `const LabelUserBulkNewResponseSourceManaged LabelUserBulkNewResponseSource = "managed"` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.APIGateway.Labels.User.BulkNew(context.TODO(), api_gateway.LabelUserBulkNewParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), Body: []api_gateway.LabelUserBulkNewParamsBody{api_gateway.LabelUserBulkNewParamsBody{ Name: cloudflare.F("login"), }}, }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "created_at": "2014-01-01T05:20:00.12345Z", "description": "All endpoints that deal with logins", "last_updated": "2014-01-01T05:20:00.12345Z", "metadata": { "foo": "bar" }, "name": "login", "source": "user" } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Delete user labels `client.APIGateway.Labels.User.BulkDelete(ctx, body) (*SinglePage[LabelUserBulkDeleteResponse], error)` **delete** `/zones/{zone_id}/api_gateway/labels/user` Delete user labels ### Parameters - `body LabelUserBulkDeleteParams` - `ZoneID param.Field[string]` Identifier. ### Returns - `type LabelUserBulkDeleteResponse struct{…}` - `CreatedAt Time` - `Description string` The description of the label - `LastUpdated Time` - `Metadata unknown` Metadata for the label - `Name string` The name of the label - `Source LabelUserBulkDeleteResponseSource` * `user` - label is owned by the user * `managed` - label is owned by cloudflare - `const LabelUserBulkDeleteResponseSourceUser LabelUserBulkDeleteResponseSource = "user"` - `const LabelUserBulkDeleteResponseSourceManaged LabelUserBulkDeleteResponseSource = "managed"` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.APIGateway.Labels.User.BulkDelete(context.TODO(), api_gateway.LabelUserBulkDeleteParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "created_at": "2014-01-01T05:20:00.12345Z", "description": "All endpoints that deal with logins", "last_updated": "2014-01-01T05:20:00.12345Z", "metadata": { "foo": "bar" }, "name": "login", "source": "user" } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Retrieve user label `client.APIGateway.Labels.User.Get(ctx, name, params) (*LabelUserGetResponse, error)` **get** `/zones/{zone_id}/api_gateway/labels/user/{name}` Retrieve user label ### Parameters - `name string` The name of the label - `params LabelUserGetParams` - `ZoneID param.Field[string]` Path param: Identifier. - `WithMappedResourceCounts param.Field[bool]` Query param: Include `mapped_resources` for each label ### Returns - `type LabelUserGetResponse struct{…}` - `CreatedAt Time` - `Description string` The description of the label - `LastUpdated Time` - `Metadata unknown` Metadata for the label - `Name string` The name of the label - `Source LabelUserGetResponseSource` * `user` - label is owned by the user * `managed` - label is owned by cloudflare - `const LabelUserGetResponseSourceUser LabelUserGetResponseSource = "user"` - `const LabelUserGetResponseSourceManaged LabelUserGetResponseSource = "managed"` - `MappedResources unknown` Provides counts of what resources are linked to this label ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) user, err := client.APIGateway.Labels.User.Get( context.TODO(), "login", api_gateway.LabelUserGetParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", user.CreatedAt) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "created_at": "2014-01-01T05:20:00.12345Z", "description": "All endpoints that deal with logins", "last_updated": "2014-01-01T05:20:00.12345Z", "metadata": { "foo": "bar" }, "name": "login", "source": "user", "mapped_resources": { "operations": 29 } }, "success": true } ``` ## Update user label `client.APIGateway.Labels.User.Update(ctx, name, params) (*LabelUserUpdateResponse, error)` **put** `/zones/{zone_id}/api_gateway/labels/user/{name}` Update all fields on a label ### Parameters - `name string` The name of the label - `params LabelUserUpdateParams` - `ZoneID param.Field[string]` Path param: Identifier. - `Description param.Field[string]` Body param: The description of the label - `Metadata param.Field[unknown]` Body param: Metadata for the label ### Returns - `type LabelUserUpdateResponse struct{…}` - `CreatedAt Time` - `Description string` The description of the label - `LastUpdated Time` - `Metadata unknown` Metadata for the label - `Name string` The name of the label - `Source LabelUserUpdateResponseSource` * `user` - label is owned by the user * `managed` - label is owned by cloudflare - `const LabelUserUpdateResponseSourceUser LabelUserUpdateResponseSource = "user"` - `const LabelUserUpdateResponseSourceManaged LabelUserUpdateResponseSource = "managed"` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) user, err := client.APIGateway.Labels.User.Update( context.TODO(), "login", api_gateway.LabelUserUpdateParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", user.CreatedAt) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "created_at": "2014-01-01T05:20:00.12345Z", "description": "All endpoints that deal with logins", "last_updated": "2014-01-01T05:20:00.12345Z", "metadata": { "foo": "bar" }, "name": "login", "source": "user" }, "success": true } ``` ## Patch user label `client.APIGateway.Labels.User.Edit(ctx, name, params) (*LabelUserEditResponse, error)` **patch** `/zones/{zone_id}/api_gateway/labels/user/{name}` Update certain fields on a label ### Parameters - `name string` The name of the label - `params LabelUserEditParams` - `ZoneID param.Field[string]` Path param: Identifier. - `Description param.Field[string]` Body param: The description of the label - `Metadata param.Field[unknown]` Body param: Metadata for the label ### Returns - `type LabelUserEditResponse struct{…}` - `CreatedAt Time` - `Description string` The description of the label - `LastUpdated Time` - `Metadata unknown` Metadata for the label - `Name string` The name of the label - `Source LabelUserEditResponseSource` * `user` - label is owned by the user * `managed` - label is owned by cloudflare - `const LabelUserEditResponseSourceUser LabelUserEditResponseSource = "user"` - `const LabelUserEditResponseSourceManaged LabelUserEditResponseSource = "managed"` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.APIGateway.Labels.User.Edit( context.TODO(), "login", api_gateway.LabelUserEditParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.CreatedAt) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "created_at": "2014-01-01T05:20:00.12345Z", "description": "All endpoints that deal with logins", "last_updated": "2014-01-01T05:20:00.12345Z", "metadata": { "foo": "bar" }, "name": "login", "source": "user" }, "success": true } ``` ## Delete user label `client.APIGateway.Labels.User.Delete(ctx, name, body) (*LabelUserDeleteResponse, error)` **delete** `/zones/{zone_id}/api_gateway/labels/user/{name}` Delete user label ### Parameters - `name string` The name of the label - `body LabelUserDeleteParams` - `ZoneID param.Field[string]` Identifier. ### Returns - `type LabelUserDeleteResponse struct{…}` - `CreatedAt Time` - `Description string` The description of the label - `LastUpdated Time` - `Metadata unknown` Metadata for the label - `Name string` The name of the label - `Source LabelUserDeleteResponseSource` * `user` - label is owned by the user * `managed` - label is owned by cloudflare - `const LabelUserDeleteResponseSourceUser LabelUserDeleteResponseSource = "user"` - `const LabelUserDeleteResponseSourceManaged LabelUserDeleteResponseSource = "managed"` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) user, err := client.APIGateway.Labels.User.Delete( context.TODO(), "login", api_gateway.LabelUserDeleteParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", user.CreatedAt) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "created_at": "2014-01-01T05:20:00.12345Z", "description": "All endpoints that deal with logins", "last_updated": "2014-01-01T05:20:00.12345Z", "metadata": { "foo": "bar" }, "name": "login", "source": "user" }, "success": true } ``` # Resources # Operation ## Replace operation(s) attached to a user label `client.APIGateway.Labels.User.Resources.Operation.Update(ctx, name, params) (*LabelUserResourceOperationUpdateResponse, error)` **put** `/zones/{zone_id}/api_gateway/labels/user/{name}/resources/operation` Replace all operations(s) attached to a user label ### Parameters - `name string` The name of the label - `params LabelUserResourceOperationUpdateParams` - `ZoneID param.Field[string]` Path param: Identifier. - `Selector param.Field[LabelUserResourceOperationUpdateParamsSelector]` Body param: Operation IDs selector - `Include LabelUserResourceOperationUpdateParamsSelectorInclude` - `OperationIDs []string` ### Returns - `type LabelUserResourceOperationUpdateResponse struct{…}` - `CreatedAt Time` - `Description string` The description of the label - `LastUpdated Time` - `Metadata unknown` Metadata for the label - `Name string` The name of the label - `Source LabelUserResourceOperationUpdateResponseSource` * `user` - label is owned by the user * `managed` - label is owned by cloudflare - `const LabelUserResourceOperationUpdateResponseSourceUser LabelUserResourceOperationUpdateResponseSource = "user"` - `const LabelUserResourceOperationUpdateResponseSourceManaged LabelUserResourceOperationUpdateResponseSource = "managed"` - `MappedResources unknown` Provides counts of what resources are linked to this label ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) operation, err := client.APIGateway.Labels.User.Resources.Operation.Update( context.TODO(), "login", api_gateway.LabelUserResourceOperationUpdateParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), Selector: cloudflare.F(api_gateway.LabelUserResourceOperationUpdateParamsSelector{ Include: cloudflare.F(api_gateway.LabelUserResourceOperationUpdateParamsSelectorInclude{ OperationIDs: cloudflare.F([]string{"f174e90a-fafe-4643-bbbc-4a0ed4fc8415"}), }), }), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", operation.CreatedAt) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "created_at": "2014-01-01T05:20:00.12345Z", "description": "All endpoints that deal with logins", "last_updated": "2014-01-01T05:20:00.12345Z", "metadata": { "foo": "bar" }, "name": "login", "source": "user", "mapped_resources": { "operations": 29 } }, "success": true } ``` # Managed ## Retrieve managed label `client.APIGateway.Labels.Managed.Get(ctx, name, params) (*LabelManagedGetResponse, error)` **get** `/zones/{zone_id}/api_gateway/labels/managed/{name}` Retrieve managed label ### Parameters - `name string` The name of the label - `params LabelManagedGetParams` - `ZoneID param.Field[string]` Path param: Identifier. - `WithMappedResourceCounts param.Field[bool]` Query param: Include `mapped_resources` for each label ### Returns - `type LabelManagedGetResponse struct{…}` - `CreatedAt Time` - `Description string` The description of the label - `LastUpdated Time` - `Metadata unknown` Metadata for the label - `Name string` The name of the label - `Source LabelManagedGetResponseSource` * `user` - label is owned by the user * `managed` - label is owned by cloudflare - `const LabelManagedGetResponseSourceUser LabelManagedGetResponseSource = "user"` - `const LabelManagedGetResponseSourceManaged LabelManagedGetResponseSource = "managed"` - `MappedResources unknown` Provides counts of what resources are linked to this label ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) managed, err := client.APIGateway.Labels.Managed.Get( context.TODO(), "login", api_gateway.LabelManagedGetParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", managed.CreatedAt) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "created_at": "2014-01-01T05:20:00.12345Z", "description": "All endpoints that deal with logins", "last_updated": "2014-01-01T05:20:00.12345Z", "metadata": { "foo": "bar" }, "name": "login", "source": "managed", "mapped_resources": { "operations": 29 } }, "success": true } ``` # Resources # Operation ## Replace operation(s) attached to a managed label `client.APIGateway.Labels.Managed.Resources.Operation.Update(ctx, name, params) (*LabelManagedResourceOperationUpdateResponse, error)` **put** `/zones/{zone_id}/api_gateway/labels/managed/{name}/resources/operation` Replace all operations(s) attached to a managed label ### Parameters - `name string` The name of the label - `params LabelManagedResourceOperationUpdateParams` - `ZoneID param.Field[string]` Path param: Identifier. - `Selector param.Field[LabelManagedResourceOperationUpdateParamsSelector]` Body param: Operation IDs selector - `Include LabelManagedResourceOperationUpdateParamsSelectorInclude` - `OperationIDs []string` ### Returns - `type LabelManagedResourceOperationUpdateResponse struct{…}` - `CreatedAt Time` - `Description string` The description of the label - `LastUpdated Time` - `Metadata unknown` Metadata for the label - `Name string` The name of the label - `Source LabelManagedResourceOperationUpdateResponseSource` * `user` - label is owned by the user * `managed` - label is owned by cloudflare - `const LabelManagedResourceOperationUpdateResponseSourceUser LabelManagedResourceOperationUpdateResponseSource = "user"` - `const LabelManagedResourceOperationUpdateResponseSourceManaged LabelManagedResourceOperationUpdateResponseSource = "managed"` - `MappedResources unknown` Provides counts of what resources are linked to this label ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) operation, err := client.APIGateway.Labels.Managed.Resources.Operation.Update( context.TODO(), "login", api_gateway.LabelManagedResourceOperationUpdateParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), Selector: cloudflare.F(api_gateway.LabelManagedResourceOperationUpdateParamsSelector{ Include: cloudflare.F(api_gateway.LabelManagedResourceOperationUpdateParamsSelectorInclude{ OperationIDs: cloudflare.F([]string{"f174e90a-fafe-4643-bbbc-4a0ed4fc8415"}), }), }), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", operation.CreatedAt) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "created_at": "2014-01-01T05:20:00.12345Z", "description": "All endpoints that deal with logins", "last_updated": "2014-01-01T05:20:00.12345Z", "metadata": { "foo": "bar" }, "name": "login", "source": "managed", "mapped_resources": { "operations": 29 } }, "success": true } ```